In order to stop the reverse engineering of script applications, a number of developers encrypt their code with instruments like ionCube PHP Encoder in order to make it human unreadable. This is valid for paid apps in particular, because anyone could possibly use and modify the unencrypted code without having to pay the needed license fees. If you purchase web software encoded with ionCube PHP Encoder, you will be able to use it without any problems as long as an instrument called ionCube Loader is installed on the hosting server. This loader allows you to execute encoded files and you will often notice it as one of the prerequisites for a given script app to be set up. Since the encoded files are already precompiled, they are normally executed a lot quicker and this can boost the overall speed of your website.

IonCube in Cloud Hosting

If you aquire a cloud hosting plan through our company, it will be created on our custom-built cloud platform where ionCube Loader is already set up, so you will not have any problems to manage any script application that needs the tool so as to run appropriately. Furthermore, we offer you a few different releases of PHP, so in case you switch the version, you will need to enable ionCube again. Our system remembers the changes you make, so in case you move back to the previous version of PHP that was active for your account, ionCube Loader will already be turned on. Both the PHP version as well as the ionCube instrument can be operated through the PHP Configuration part of our Hepsia website hosting Control Panel. Each change that you make takes literally just a single click and it takes effect right away.

IonCube in Semi-dedicated Servers

Since all of the semi-dedicated server accounts are set up on our advanced cluster platform and ionCube Loader is available on it, you will be able to use any script application that needs the tool to work effectively. With several clicks in your Hepsia website hosting Control Panel you can activate or deactivate ionCube for the PHP version that's currently active for the account. As we support multiple releases of PHP at the same time, you'll have to do this each time you move to a different version, and if you revert back to a release that you've already used, our system will remember your choice and ionCube Loader will already be activated. In case you have multiple websites inside the same account and they need different releases of PHP, you will be able to set up a php.ini file in every single domain folder and with a couple of lines of code you will be able to define both the PHP version and the status of ionCube regardless of what is selected for the web hosting account altogether.